Create a chat with a specific agent, or continue an existing chat. Any document that you have access to that is in the agent’s knowledge base could be used to answer questions.
600 requests per minute.
Documentation Index
Fetch the complete documentation index at: https://docs.withrealm.com/llms.txt
Use this file to discover all available pages before exploring further.
200 OK with status: "approval_required" instead of failing. Use the returned assistant_message_id and approval metadata to resume the chat via POST /chats/{chat_id}/approvals.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The content of the user message.
Deprecated. Use agent_id instead.
The ID of the chat to continue. If not provided, a new chat will be created.
"123"
Enable research mode for this chat. Only works if the agent has research mode enabled ('optional' or 'always_on').
The style of citations to use. 'remove' will not show any citations, 'link' will format them as URLs.
link, remove The format of the content returned. 'markdown' includes formatting, 'text' returns plain text.
markdown, text Prompt variables as input to the agent.
When enabled for non-streaming responses, return only the final answer text, excluding intermediate reasoning, thinking steps, and agent narration. Has no effect on streaming responses.
Success
Deprecated. Use agent_id instead.
The ID of the agent that processed the request
Unix timestamp in milliseconds of when the completion was created
ISO 8601 formatted timestamp of when the completion was created
The content of the chat
If research mode was used for this chat. The agent configuration can override the user requested value.
The format of the content returned
markdown, text The chat completed successfully
completed Unique identifier for the chat